[lm-sensors] problems compiling 2.10.5

Jean Delvare khali at linux-fr.org
Fri Mar 14 21:41:16 CET 2008


Hi Alek,

On Fri, 14 Mar 2008 16:24:59 -0400, Alek Uritsky wrote:
> I am trying to compile lm_sensors 2.10.5 on Fedora 6 box with kernel 2.6.22
> 
> (for some reasons, 2.10.1-1 that comes with the distro does not want to detect sensors)

Probably because it's too old for your hardware... or because your
machine doesn't have supported sensors.

> I have a huge number of compilation errors  (starting with lib/data.c )
> which seems to be a result of the difference in .h files

Difference between what and what?

> (should I post the errors?).

Yes please. The first few ones should be enough.

> Is this a known problem? What would be the way to proceed?

Not a known problem, but I can't tell more without seeing the actual
errors.

Note that lm-sensors 2.10.6 is out by now, so you should try to build
that instead of 2.10.5 anyway.

-- 
Jean Delvare




More information about the lm-sensors mailing list